import React, { useState } from "react";
import { StyleSheet, Text, View } from "react-native";
import MasonryList from "@react-native-seoul/masonry-list";
import ProductCard from "./ProductCard";
import { products } from "../../../constants/product";
const ProductList = ({}) => {
 
  return (
    <View style={styles.container}>
      <Text style={styles.header}>For You</Text>
      <View style={styles.wrapper}>
        <MasonryList
          data={products}
          keyExtractor={(item) => item.id}
          style={styles.list}
          numColumns={2}
          showsVerticalScrollIndicator={false}
          renderItem={({ item }) => <ProductCard product={item} />}
          containerStyle={styles.container1}
          contentContainerStyle={styles.content}
          // refreshing={isLoadingNext}
          // onRefresh={() => refetch({ first: itemCount })}
          onEndReachedThreshold={0.1}
          // onEndReached={() => loadNext(ITEM_CNT)}
        />
      </View>
    </View>
  );
};
const styles = StyleSheet.create({
  container: {
    // flex: 1,
    backgroundColor: "#fff",
    // alignItems: "center",
    // justifyContent: "center",
    width: "100%",
    // height: "87%",
    // paddingHorizontal: 10,
  },
  container1: {
    // flex: 1,
    // backgroundColor: "#333",
    width: "100%",
    // height: "87%",
    // paddingHorizontal: 10,
  },
  wrapper: {
    width: "100%",
    height: "100%",
    backgroundColor: "#F3F3F3",
    padding: 10,
    paddingHorizontal: 5,
    marginTop: 10,
  },
  list: {
    width: "100%",
    // backgroundColor: "#fff",
  },
  content: {
    width: "100%",
    alignItems: "center",
    justifyContent: "center",

    // backgroundColor: "#ffaa00",
  },
  header: {
    fontSize: 14,
    fontWeight: "700",
    textTransform: "uppercase",
    marginLeft: 10,
  },
  img: {
    width: 400,
    height: 200,
    resizeMode: "cover",
    margin: "auto",
    borderRadius: 10,
    // backgroundColor: "#ffaa00",
  },
});
export default ProductList;
