import React, { useState } from "react";
import { FlatList, StyleSheet, Text, View } from "react-native";
import MasonryList from "@react-native-seoul/masonry-list";
import ProductCard from "./ProductCard";
import ShopCard from "./ShopCard";
const ShopList = () => {
  const [itemCount, setitemCount] = useState(10);
  const products = [
    {
      logo: "https://dynamic.zacdn.com/UwpOxCDuIyVkaiTKDr--O58nQig=/filters:quality(70):format(webp)/https://static-ph.zacdn.com/p/playboy-bunny-3082-3012861-1.jpg",
      name: "TecNic Inc.",
      price: 200,
      min: 20,
      per: "pieces",
      verified: true,
      respoTime: 2,
      tags: ["bag", "Jar", "Clothings"],
      rate: 4.2,
      raterTotal: 200,
      images: [
        "https://dynamic.zacdn.com/UwpOxCDuIyVkaiTKDr--O58nQig=/filters:quality(70):format(webp)/https://static-ph.zacdn.com/p/playboy-bunny-3082-3012861-1.jpg",
        "https://i.ebayimg.com/images/g/SG0AAOSwLP1hEPrn/s-l1200.webp",
        "https://cf.shopee.ph/file/f0775aeac92f8aecdf44dad06505694d",
      ],
    },
    {
      logo: "https://dynamic.zacdn.com/UwpOxCDuIyVkaiTKDr--O58nQig=/filters:quality(70):format(webp)/https://static-ph.zacdn.com/p/playboy-bunny-3082-3012861-1.jpg",
      name: "TecNic Inc.",
      price: 200,
      min: 20,
      per: "pieces",
      verified: true,
      respoTime: 2,
      tags: ["bag", "Jar", "Clothings"],
      rate: 4.2,
      raterTotal: 200,
      images: [
        "https://dynamic.zacdn.com/UwpOxCDuIyVkaiTKDr--O58nQig=/filters:quality(70):format(webp)/https://static-ph.zacdn.com/p/playboy-bunny-3082-3012861-1.jpg",
        "https://i.ebayimg.com/images/g/SG0AAOSwLP1hEPrn/s-l1200.webp",
        "https://cf.shopee.ph/file/f0775aeac92f8aecdf44dad06505694d",
      ],
    },
    {
      logo: "https://dynamic.zacdn.com/UwpOxCDuIyVkaiTKDr--O58nQig=/filters:quality(70):format(webp)/https://static-ph.zacdn.com/p/playboy-bunny-3082-3012861-1.jpg",
      name: "TecNic Inc.",
      price: 200,
      min: 20,
      per: "pieces",
      verified: true,
      respoTime: 2,
      tags: ["bag", "Jar", "Clothings"],
      rate: 4.2,
      raterTotal: 200,
      images: [
        "https://dynamic.zacdn.com/UwpOxCDuIyVkaiTKDr--O58nQig=/filters:quality(70):format(webp)/https://static-ph.zacdn.com/p/playboy-bunny-3082-3012861-1.jpg",
        "https://i.ebayimg.com/images/g/SG0AAOSwLP1hEPrn/s-l1200.webp",
        "https://cf.shopee.ph/file/f0775aeac92f8aecdf44dad06505694d",
      ],
    },
  ];
  return (
    <View style={styles.container}>
      <Text style={styles.header}>For You</Text>
      <View style={styles.wrapper}>
        <MasonryList
          data={products}
          keyExtractor={(item) => item.id}
          style={styles.list}
          numColumns={1}
          showsVerticalScrollIndicator={false}
          renderItem={({ item }) => <ShopCard key={item.id} product={item} />}
          containerStyle={styles.container1}
          contentContainerStyle={styles.content}
          onEndReachedThreshold={0.1}
        />
      </View>
    </View>
  );
};
const styles = StyleSheet.create({
  container: {
    backgroundColor: "#fff",
    width: "100%",
  },
  container1: {
    width: "100%",
  },
  wrapper: {
    width: "100%",
    height: "100%",
    backgroundColor: "#F3F3F3",
    padding: 10,
    paddingHorizontal: 5,
    marginTop: 10,
  },
  list: {
    width: "100%",
  },
  content: {
    width: "100%",
    alignItems: "center",
    justifyContent: "center",
  },
  header: {
    fontSize: 14,
    fontWeight: "700",
    textTransform: "uppercase",
    marginLeft: 10,
  },
  img: {
    width: 400,
    height: 200,
    resizeMode: "cover",
    margin: "auto",
    borderRadius: 10,
    // backgroundColor: "#ffaa00",
  },
});
export default ShopList;
