import {
  faAngleLeft,
  faAngleRight,
  faArrowLeft,
} from "@fortawesome/free-solid-svg-icons";
import { FontAwesomeIcon } from "@fortawesome/react-native-fontawesome";
import { useNavigation } from "@react-navigation/native";
import React from "react";
import { StyleSheet, Text, TouchableOpacity, View } from "react-native";

const AccountSettings = () => {
  const navigation = useNavigation();

  return (
    <View style={styles.container}>
      <View style={styles.header}>
        <TouchableOpacity
          onPress={() => navigation.navigate("Home")}
          style={styles.backIcon}
        >
          <FontAwesomeIcon icon={faArrowLeft} color={"#d4c600"} size={25} />
        </TouchableOpacity>
        <Text style={styles.headerText}>Account Settings</Text>
      </View>

      <View style={styles.wrapper}>
        <View style={styles.subHeaderWrap}>
          <View style={styles.subHeader}>
            <Text style={styles.subHeaderText}>My Account</Text>
          </View>
          <View style={styles.subContentsWrap}>
            <TouchableOpacity
              style={styles.subContent}
              onPress={() => navigation.navigate("Home")}
            >
              <Text style={styles.subContentText}>Account & Security</Text>
              <FontAwesomeIcon
                icon={faAngleRight}
                color={"#d4c600"}
                size={20}
              />
            </TouchableOpacity>
            <TouchableOpacity
              style={styles.subContent}
              onPress={() => navigation.navigate("Home")}
            >
              <Text style={styles.subContentText}>My Addresses</Text>
              <FontAwesomeIcon
                icon={faAngleRight}
                color={"#d4c600"}
                size={20}
              />
            </TouchableOpacity>
            <TouchableOpacity
              style={styles.subContent}
              onPress={() => navigation.navigate("Home")}
            >
              <Text style={styles.subContentText}>Bank Accounts</Text>
              <FontAwesomeIcon
                icon={faAngleRight}
                color={"#d4c600"}
                size={20}
              />
            </TouchableOpacity>
          </View>
        </View>
      </View>
    </View>
  );
};

const styles = StyleSheet.create({
  container: {
    backgroundColor: "#ffff",
    width: "100%",
    height: "100%",
  },
  wrapper: {
    height: "100%",
    width: "100%",
    backgroundColor:"#fdfdfd",

  },
  header: {
    alignItems: "center",
    width: "100%",
    top: 0,
    paddingLeft: 15,
    flexDirection: "row",
    borderColor: "#ddd",
    paddingBottom: 15,
    borderBottomWidth: 1,
  },
  headerText: {
    fontSize: 16,
    fontWeight: "600",
    marginLeft: 25,
  },
  subHeaderWrap: {
    width: "100%",
    top: 0,
    borderColor: "#ddd",
    paddingBottom: 15,
    justifyContent: "center",
  },
  subHeader: {
    width: "100%",
    paddingLeft: 15,
    borderColor: "#ddd",
    justifyContent: "center",
  },
  subHeaderText: {
    fontSize: 14,
    fontWeight: "600",
    padding: 10,
  },
  subContentsWrap: {
    width: "100%",
    borderColor: "#ddd",
    justifyContent: "center",
  },
  subContent: {
    width: "100%",
    borderColor: "#ececec",
    backgroundColor:"#fff",
    justifyContent: "space-between",
    alignItems: "center",
    flexDirection: "row",
    borderWidth: 1,
    padding: 15,
    paddingLeft: 40,
  },
  subContentText: {
    fontSize: 14,
    fontWeight: "400",
  },
});

export default AccountSettings;
